package com.kuxuan.fastbrowser;

import android.app.Application;

import com.facebook.stetho.Stetho;
import com.joanzapata.iconify.fonts.FontAwesomeModule;
import com.kuxuan.laraver.app.Laraver;
import com.kuxuan.laraver.browser.database.DatabaseManager;

/**
 * Created by huangfuruixin on 2017/12/5.
 */

public class App extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        Laraver.init(this)
                .withApiHost("http://127.0.0.1/")
                .withIcon(new FontAwesomeModule())
                .configure();
        DatabaseManager.getInstance().init(this);
    }

    private void initStetho() {
        Stetho.initialize(
                Stetho.newInitializerBuilder(this)
                        .enableDumpapp(Stetho.defaultDumperPluginsProvider(this))
                        .enableWebKitInspector(Stetho.defaultInspectorModulesProvider(this))
                        .build());
    }
}
