package com.kuxuan.laraver.delegates;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.kuxuan.laraver.activities.ProxyActivity;

import butterknife.ButterKnife;
import butterknife.Unbinder;
import me.yokeyword.fragmentation_swipeback.SwipeBackFragment;

/**
 *
 * @author huangfuruixin
 * @date 2017/12/5
 */

public abstract class BaseDelegate extends SwipeBackFragment{

    @SuppressWarnings("SpellCheckingInspection")
    private Unbinder mUnbinder = null;

    /**
     * 设置布局
     * @return  布局 或者 view
     */
    public abstract Object setLayout();

    /**
     * 绑定view  绑定控件
     * @param savedInstanceState savedInstanceState
     * @param rootView  rootView
     */
    public abstract void onBindView(@Nullable Bundle savedInstanceState,View rootView);

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        final View rootView ;
        if(setLayout() instanceof Integer){
            rootView = inflater.inflate((int) setLayout(),container,false);
        }else if(setLayout() instanceof View){
            rootView = (View) setLayout();
        }else{
            throw new ClassCastException("setLayout() type must be int or view");
        }
        mUnbinder = ButterKnife.bind(this,rootView);
        onBindView(savedInstanceState,rootView);
        return rootView;
    }

    public  final ProxyActivity getProxyActivity(){
        return (ProxyActivity) _mActivity;
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        if(mUnbinder!=null){
            mUnbinder.unbind();
        }
    }
}
