package com.kuxuan.laraver_ui.refresh;

import android.support.v4.widget.SwipeRefreshLayout;
import android.widget.Toast;

import com.kuxuan.laraver.app.Laraver;
import com.kuxuan.laraver.net.RestClient;
import com.kuxuan.laraver.net.callback.ISuccess;

public class RefreshHandler implements SwipeRefreshLayout.OnRefreshListener {

    private final SwipeRefreshLayout REFRESH_LAYOUT;

    public RefreshHandler(SwipeRefreshLayout REFRESH_LAYOUT) {
        this.REFRESH_LAYOUT = REFRESH_LAYOUT;
        REFRESH_LAYOUT.setOnRefreshListener(this);
    }

    private void refresh(){
        REFRESH_LAYOUT.setRefreshing(true);
        Laraver.getHandler().postDelayed(new Runnable() {
            @Override
            public void run() {
                REFRESH_LAYOUT.setRefreshing(false);
            }
        },2000);
    }

public void firstPage(String url){
    RestClient.builder()
            .url(url)
            .success(new ISuccess() {
                @Override
                public void onSuccess(String response) {
                    Toast.makeText(Laraver.getApplicationContext(), response, Toast.LENGTH_SHORT).show();
                }
            })
            .build()
            .get();
}
    @Override
    public void onRefresh() {
        refresh();
    }
}
